Bug 10019 - ctdb ipinfo produces an error when executed, test with 2.3
ctdb ipinfo produces an error when executed, test with 2.3
Status: RESOLVED FIXED
Product: CTDB 2.5.x or older
Classification: Unclassified
Component: ctdb
unspecified
All Linux
: P5 normal
: ---
Assigned To: Amitay Isaacs
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-14 17:07 UTC by Jeffrey Lang
Modified: 2016-09-12 08:53 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jeffrey Lang 2013-07-14 17:07:56 UTC
When  running "ctdb ipinfo"  I get an error as shown below:

Nodes file:

[root@mmmssn1 ctdb-2.3]# more /usr/local/ctdb/etc/nodes
10.98.192.9
10.98.192.10

public_addresses file:

[root@mmmssn1 ctdb-2.3]# more /usr/local/ctdb/etc/public_addresses 
10.98.192.202/18 eth4
10.98.192.203/18 eth4

My port configuration:

eth4      Link encap:Ethernet  HWaddr 00:02:C9:12:94:71  
          inet addr:10.98.192.9  Bcast:10.98.255.255  Mask:255.255.192.0
          inet6 addr: fe80::2:c900:112:9471/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:9000  Metric:1
          RX packets:1157308804 errors:0 dropped:0 overruns:0 frame:0
          TX packets:2415938003 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:10000 
          RX bytes:1131380464140 (1.0 TiB)  TX bytes:3267756076266 (2.9 TiB)

eth4:0    Link encap:Ethernet  HWaddr 00:02:C9:12:94:71  
          inet addr:10.98.192.200  Bcast:10.98.255.255  Mask:255.255.192.0
          UP BROADCAST RUNNING MULTICAST  MTU:9000  Metric:1

Command output:

[root@mmmssn1 ~]# ctdb ping -n all
response from 0 time=0.000070 sec  (3 clients)
response from 1 time=0.000160 sec  (1 clients)
[root@mmmssn1 ~]# ctdb ipinfo 10.98.192.200
2013/07/14 10:48:26.639660 [16942]: client/ctdb_client.c:2695 ctdb_control for get public ip info failed ret:0 res:-1
2013/07/14 10:48:26.639794 [16942]: Unable to get public ip[10.98.192.200]info from node 0
Comment 1 Amitay Isaacs 2013-10-03 01:44:05 UTC
The current output of "ctdb ipinfo" for IP addresses that are not valid public IPs is bad and it can definitely be improved.
Comment 2 Martin Schwenke 2016-09-12 08:53:51 UTC
This is fixed in CTDB in Samba 4.5.0:

# ctdb ipinfo 10.98.192.200
Control GET_PUBLIC_IP_INFO failed, ret=-1
Node 0 does not know about IP 10.98.192.200

A much better error message...  :-)